//
//  AddressListModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/8.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取统计+权限

class AddressListModel: Mappable {
    var code:Int?
    var message : String?
    var data :Array<AddressListDataModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class AddressListDataModel: Mappable {
    var address_id:Int?//地址ID
    var user_id : Int?//用户ID
    var consignee : String? //联系人名称
    
    var province:Int?//省ID
    var city : Int?//市ID
    var district : Int?//D区ID
    
    var address:String?//详细地址
    var zipcode : String?//邮编
    var tel : String?//电话号码
    
    var mobile:String? //手机号码
    var is_default : Int?//是否默认收货地址
    var country : Int?
    
    var street:Int?//街道ID
    var is_send_default : Int?//地址ID是否默认发货地址
    var province_cn : String?//地址ID省名
    
    var city_cn:String?//市名
    var district_cn : String?//区名
    var street_cn : String?//街道名
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        address_id <- map["address_id"]
        user_id <- map["user_id"]
        consignee <- map["consignee"]
        
        province <- map["province"]
        city <- map["city"]
        district <- map["district"]
        
        address <- map["address"]
        zipcode <- map["zipcode"]
        tel <- map["tel"]
        
        mobile <- map["mobile"]
        is_default <- map["is_default"]
        country <- map["country"]
        
        street <- map["street"]
        is_send_default <- map["is_send_default"]
        province_cn <- map["province_cn"]
        
        city_cn <- map["city_cn"]
        district_cn <- map["district_cn"]
        street_cn <- map["street_cn"]
    }
}

class AddAddressModel: Mappable {
    var code:Int?
    var message : String?
    var data :AddAddressDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class AddAddressDataModel: Mappable {
    var consignee:String?//联系人
    var province : Int?//省ID
    var city :Int?//市ID
    
    var district:Int?//区ID
    var street : Int?//街ID
    var mobile :String?//手机号码
    
    var address:String?//详细地址
    var is_default : Int?//是否默认收货地址，1是0非
    var is_send_default :Int?//是否默发收货地址，1是0非
    
    var user_id:Int?
    var address_id : Int?
    
    
    required init?( map: Map) {
        
    }
    
    func mapping(map: Map) {
        consignee <- map["consignee"]
        province <- map["province"]
        city <- map["city"]
        
        district <- map["district"]
        street <- map["street"]
        mobile <- map["mobile"]
        
        address <- map["address"]
        is_default <- map["is_default"]
        is_send_default <- map["is_send_default"]
        
        user_id <- map["user_id"]
        address_id <- map["address_id"]
    }
}
