//
//  CustomerInterface.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/6/15.
//  Copyright © 2020 junye lu. All rights reserved.
//
//客户管理
import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//客户列表
/*
params-key(
 user_token(用户token    )
page
keyword 搜索关键词
 sort  排序，1时间倒序，2时间正序，
 cus_type  客户类型 1个人 2企业，0全部
 */
func cusList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("客户列表", params, { (rep:DataResponse<CusListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//客户详情(销售统计)

/*
params-key(
 user_token(用户token    )
cus_id  客户id
 page
 */
func cusSalesStatistics(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("客户详情(销售统计)", params, { (rep:DataResponse<CusSalesStatisticsModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
/*
params-key(
 user_token(用户token    )
company 公司名
cus_name 客户名
 cus_type 客户类型 1个人 2企业
 phone 联系电话
 user_id 绑定用户的用户id
 discounts_rate   优惠率，使用时除100
 
 */
func cusAdd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("新增客户", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
/*
params-key(
 user_token(用户token    )
company 公司名
cus_name 客户名
 cus_type 客户类型 1个人 2企业
 phone 联系电话
 user_id 绑定用户的用户id
 discounts_rate   优惠率，使用时除100
 cus_id  客户id
 */
func cusEdit(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("编辑客户", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
/*
params-key(
 user_token(用户token    )
keyword
 */
func getBindUser(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("获取绑定用户的用户信息", params, { (rep:DataResponse<GetBindUserModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
