//
//  GoodsInterface.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/12.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK:--商品列表
//params-key(user_token,keyword(关键字),sort(1时间降序，2时间升序，3销量降序，4销量升序),is_show(上、下架，0下架，1上架，2全部),page(第几页))
func goodsList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("商品列表", params, { (rep:DataResponse<GoodsListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--商品详情
//params-key(user_token,goods_id)
func goodsDetail(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("商品详情", params, { (rep:DataResponse<GoodsDetailModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--新增商品-获取基本信息
//params-key(user_token)
func GeneralInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("新增商品-获取基本信息", params, { (rep:DataResponse<GeneralInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--新增商品
//params-key
/*
 user_token
 cat_id  分类ID
 brand_id  品牌ID
 goods_name  商品名称
 is_qz  是否清真商品，1是0非
 goods_type  商品类型，普通2现货3期货4团购
 is_adsale  商品类型字段，预售专用，选定”预售”则值为1，否则值为0
 is_inquiry  是否询价：1是0非
 need_check  付款是否需要审核， 1是0非
 dj_time_start  预设预付定金开始时间，时间戳，预售专用
 dj_time_end  预设预付定金结束时间，时间戳，预售专用
 wk_time_start  预设预付尾款开始时间，时间戳，预售专用
 wk_time_end  预设预付尾款结束时间，时间戳，预售专用
 set_time  预付尾款后几天后发货
 keywords  关键字
 goods_intro  简介
 logistics  物流费用
 coun_id  国家id
 gs_id  商品状态
 shelf_life  保质期，单位：月
 transportation  运输方式，1冷链，2常温，3热链
 goods_desc  商品详情
 market_price  市场价
 specifications  默认规格，选sku中最低价格(需判定阶梯价)的 规格值
 shop_price  默认售价，选sku中最低价格(需判定阶梯价)的价格
 goods_unit  默认商品单位，选sku中最低价格(需判定阶梯价)的单位
 original_img      商品封面图
 goods_banner   商品副图，多张，最多5张，使用一维数组转json格式
 sku_info   商品sku信息，字段见“SKU信息表”，使用二维数组转json格式
 */
func goodsAdd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("新增商品", params, { (rep:DataResponse<GoodsUpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--编辑商品
//params-key(user_token)
/*
 商品基础信息新增 goods_id 参数
 商品封面 是否修改 参数
 goods_banner(商品副图) 参数比新增复杂
 sku信息 新增 sku_id 、 goods_id 、is_del等字段信息
 
 goods_id  需要修改的商品ID
 original_img_edit    商品封面图是否有修改，1是0非

 */
func goodsEdit(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("编辑商品", params, { (rep:DataResponse<GoodsUpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
