//
//  GeneralInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/6.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//新增商品-获取基本信息
class GeneralInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : GeneralDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GeneralDataModel: Mappable {
    var brand : Array<GeneralInfoBrandModel>? //品牌信息(提交 "品牌id")
    var cats : Array<GeneralInfoCatsModel>? //商品分类信息(提交 "分类id")
    var gs : Array<GeneralInfoGsModel>? //商品状态信息(提交 "状态ID")
    var unit : Array<String>? //商品单位信息，(提交 "单位值") "吨",        //单位值
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        brand <- map["brand"]
        cats <- map["cats"]
        gs <- map["gs"]
        unit <- map["unit"]
        
    }
    
}
class GeneralInfoBrandModel: Mappable {
    var brand_id : Int? //品牌id
    var brand_name : String?  //品牌名
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        brand_id <- map["brand_id"]
        brand_name <- map["brand_name"]
        
    }
    
}
class GeneralInfoCatsModel: Mappable {
    
    var cat_id : Int? //分类id
    var cat_name : String?  //分类名
    var parent_id : Int? //分类上一级id，其值为 上一层级分类的"cat_id"
    var parents_id : Int?
    var sort_order : Int?
    var level : Int?  //分类层级，0为第一级

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        cat_id <- map["cat_id"]
        cat_name <- map["cat_name"]
        parent_id <- map["parent_id"]
        parents_id <- map["parents_id"]
        sort_order <- map["sort_order"]
        level <- map["level"]
    }
    
    
}
class GeneralInfoGsModel: Mappable {
    
    var gs_id : Int?  //状态ID
    var gs_name : String?   //状态名
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        gs_id <- map["gs_id"]
        gs_name <- map["gs_name"]
        
    }
    
}
 
