//
//  GoodsDetailModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/6.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//商品详情
class GoodsDetailModel: Mappable {
    var code:Int?
    var message : String?
    var data : GoodsDetailDataModel?

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GoodsDetailDataModel: Mappable {
    var goods_res : GoodsDetailGoodsResModel?  //商品数据
    var sku_res : Array<GoodsDetailSkuResModel>?  //商品sku信息
    var banner_res : Array<GoodsDetailBannerResModel>?  //副图信息

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        goods_res <- map["goods_res"]
        sku_res <- map["sku_res"]
        banner_res <- map["banner_res"]

    }
    
}
class GoodsDetailGoodsResModel: Mappable {
    var goods_id : Int?  //商品id
    var goods_name : String?  //商品名
    var keywords : String? //关键字
    var cat_id : Int?  //分类id
    var cat_name : String? //分类名
    var brand_id : Int?  //品牌id
    var brand_name : String?  //品牌名
    var goods_sn : String?  //商品sn
    var market_price : String?  //市场价
    var shop_price : String?  //(默认)售价(本店售价)
    var goods_intro : String?  //商品简介
    var goods_unit : String?  //(默认)单位
    var origin_number : Int?  //起订量
    var goods_type : Int?  //商品类型
    var goods_desc : String?    //商品详情<p>11111</p>
    var original_img : String?  //商品封面图
    var is_show : Int?  //上、下架状态，1上架，0下架
    var is_best : Int?  //是否推介，1是0非
    var coun_id : Int?   //国家id
    var sort_order : Int?   //排序
    var specifications : String?    //(默认)规格
    var logistics : String?   //物流费用
    var gs_id : Int?  //商品状态
    var gs_name:String? //商品状态中文
    var is_check : Int?   //是否通过审核
    var shelf_life : Int?  //保质期，单位：月
    var transportation : Int?  //运输方式
    var is_adsale : Int? //是否开启预售，1是非
    var need_check : Int?    //付款是否需要审核 1是 0否
    var dj_time_start : Double?    //预设预付定金开始时间
    var dj_time_end : Double?   //预设预付定金结束间
    var wk_time_start : Double?     //预设预付尾款开始间
    var wk_time_end : Double?   //预设预付尾款结束间
    var set_time : Int?  //预付尾款后几天后发货
    var is_inquiry : Int? //是否询价 1是 0否
    var is_qz : Int? //是否清真，1是0非
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        goods_id <- map["goods_id"]
        goods_name <- map["goods_name"]
        cat_id <- map["cat_id"]
        brand_id <- map["brand_id"]
        goods_sn <- map["goods_sn"]
        market_price <- map["market_price"]
        shop_price <- map["shop_price"]
        goods_intro <- map["goods_intro"]
        goods_unit <- map["goods_unit"]
        origin_number <- map["origin_number"]
        goods_type <- map["goods_type"]
        goods_desc <- map["goods_desc"]
        original_img <- map["original_img"]
        is_show <- map["is_show"]
        is_best <- map["is_best"]
        coun_id <- map["coun_id"]
        sort_order <- map["sort_order"]
        specifications <- map["specifications"]
        logistics <- map["logistics"]
        gs_id <- map["gs_id"]
        is_check <- map["is_check"]
        shelf_life <- map["shelf_life"]
        transportation <- map["transportation"]
        is_adsale <- map["is_adsale"]
        need_check <- map["need_check"]
        dj_time_start <- map["dj_time_start"]
        dj_time_end <- map["dj_time_end"]
        wk_time_start <- map["wk_time_start"]
        wk_time_end <- map["wk_time_end"]
        set_time <- map["set_time"]
        is_inquiry <- map["is_inquiry"]
        is_qz <- map["is_qz"]
        brand_name <- map["brand_name"]
        cat_name <- map["cat_name"]
        keywords <- map["keywords"]
        gs_name <- map["gs_name"]
     }
    
}
//商品sku信息
class GoodsDetailSkuResModel: Mappable {
    var sku_id : Int?  //规格
    var price : String?  //售价
    var pack_attr : String?  //长宽高体积重量等信息
    var refrigerate : String?  //温藏
    var tiered_pri : String?  //阶梯价
    var spec_str : String?  //规格(中文字符串)
    var unit : String?  //单位
    var label : String?  //标签: 4一般、3无抗、2品牌
    var is_tiered : Int?  //是否开启阶梯价 1开启 0关闭
    var is_open_adsale : Int?  //是否开启预售 1是 0否
    var adsale_pri : String?  //预售价格
    var adsale_inventory : Int?  //预售库存
    var pct : Int?  //定金比例（百分比） 例如填12即是定金比例为12%
    var adsale_tiered_pri : String?  //预售阶梯价
    var is_adsale_tiered : Int?  //是否开启预售阶梯价 1开启 0关闭

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        sku_id <- map["sku_id"]
        price <- map["price"]
        pack_attr <- map["pack_attr"]
        refrigerate <- map["refrigerate"]
        tiered_pri <- map["tiered_pri"]
        spec_str <- map["spec_str"]
        unit <- map["unit"]
        label <- map["label"]
        is_tiered <- map["is_tiered"]
        is_open_adsale <- map["is_open_adsale"]
        adsale_pri <- map["adsale_pri"]
        adsale_inventory <- map["adsale_inventory"]
        pct <- map["pct"]
        adsale_tiered_pri <- map["adsale_tiered_pri"]
        is_adsale_tiered <- map["is_adsale_tiered"]
     }
    
}
//副图信息
class GoodsDetailBannerResModel: Mappable {
    var img_id : Int?  //副图ID
    var img_original : String?  //副图图片地址
    
    required init?( map: Map) {
        
    }
    
    func mapping(map: Map) {
        img_id <- map["img_id"]
        img_original <- map["img_original"]
     }
}
