//
//  Interface.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/4/23.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK:--登录
//params-key(user_name(用户名),pwd(密码))
func login(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("登录", params, { (rep:DataResponse<LoginModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--发送验证码
//params-key(phone(手机号),type(    验证类型，1注册，2修改密码，3登录，4格利商家绑定(修改绑定)格利支付，5格利支付绑定格利商家))
func sendSmsCaptcha(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("发送验证码", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--验证短信验证码
//params-key(phone(手机号),type(验证类型，需与发送时的类型一致),code(验证码))
func verifyMmsCaptcha(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("验证短信验证码", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--个人中心首页+账号信息
//params-key(user_token)
func adminInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("个人中心首页+账号信息", params, { (rep:DataResponse<AdminInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--商家信息
//params-key(user_token)
func shopInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("商家信息", params, { (rep:DataResponse<ShopInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--支付账号信息
//params-key(user_token)
func geliPayInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("支付账号信息", params, { (rep:DataResponse<GeliPayInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--获取格利支付账号绑定的手机号
//params-key(user_token,geli_pay_user(格利支付用户名))
func getGelipayMobile(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("获取格利支付账号绑定的手机号", params, { (rep:DataResponse<GetMobileModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--获取商店管理员验证手机号
//params-key( )
func getShopMobile(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("获取商店管理员验证手机号", params, { (rep:DataResponse<GetMobileModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--修改登录密码
//params-key(user_token,pwd(当前用户密码(明文传输)),new_pwd(修改后的新密码(明文传输)))
func changePwd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("修改登录密码", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--绑定、更换绑定格利支付账号
//params-key(user_token,geli_pay_user(需要绑定的格利支付账号))
func bindGeliPay(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("绑定、更换绑定格利支付账号", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--格利支付的跳转
//params-key(user_token,type(跳转类型：1登录，2设置支付密码))
func locationGeliPay(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("格利支付的跳转", params, { (rep:DataResponse<LocationGeliPayModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--简单通用操作接口
//params-key(user_token,function_id(功能id，根据功能填写。功能表见“简单通用操作表”页面),prval(    操作对象id，例：执行商品信息变更操作，为商品id；执行商店信息变更操作，为商店id),value(操作对象变更后的值))
func editField(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("简单通用操作接口", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--获取格利支付账号信息
//params-key(user_token,geli_pay_user(格利支付账号))
func getGelipayInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("获取格利支付账号信息", params, { (rep:DataResponse<GetGelipayInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--获取商店超级管理员信息
//params-key(user_token)
func getShopAdministratorInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("获取商店超级管理员信息", params, { (rep:DataResponse<ShopAdministratorInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--图片(文件)上传
func saveFile(image: UIImage,_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
   
    NetworkRequest.sharedInstance.uploadImage(url: "图片(文件)上传", image: image, params: params, success: { (data) in
        let model = Mapper<SaveFileModel>().map(JSONObject: data)
        success(model as Any)
    }) { (error) in
        failture(error)
    }
}
//MARK:--手机号登
//params-key(mobile(手机号),auth_code(登录验证码(必须先发送验证码)    ))
func mobileLogin(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("手机号登录", params, { (rep:DataResponse<LoginModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--消息列表
//params-key(user_token)
func messageList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("消息列表", params, { (rep:DataResponse<MessageListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
