//
//  LogisticsModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/7/4.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//MARK: - 运单列表
class LogisticsModel: Mappable {
    var code:Int?
    var message : String?
    var data :Array<LogisticsDataModel>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class LogisticsDataModel: Mappable {
    var id:Int?
    var lwb_no : String? //运单号
    var delivery_status :String? //运单状态：1下单完成 2揽收成功 3运输中 4已签收 5已取消 6拒收 7再投
    
    var express_item_name:String?//托寄物名称
    var sale_plat : String?//所属平台
    var order_sn :String?//关联订单号
    
    var sign_time:Double?//签收时间
    var s_city_name : String?//寄件人城市名称
    var r_city_name :String?//收件人城市名称
    
    var lc_name:String? //物流公司
    var delivery_status_cn : String? //运单状态(中文)
    

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        id <- map["id"]
        lwb_no <- map["lwb_no"]
        delivery_status <- map["delivery_status"]
        
        express_item_name <- map["express_item_name"]
        sale_plat <- map["sale_plat"]
        order_sn <- map["order_sn"]
        
        sign_time <- map["sign_time"]
        s_city_name <- map["s_city_name"]
        r_city_name <- map["r_city_name"]
        
        lc_name <- map["lc_name"]
        delivery_status_cn <- map["delivery_status_cn"]
    }
}


//MARK: - 获取所有物流公司
class lcAllModel: Mappable {
    var code:Int?
    var message : String?
    var data :Array<lcAllDataModel>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class lcAllDataModel: Mappable {
    var lc_id:Int?//物流公司id
    var lc_name : String? //物流公司名

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        lc_id <- map["lc_id"]
        lc_name <- map["lc_name"]
    }
}
//MARK: - 下单 - 期望上门时间
class appointmentTimeModel: Mappable {
    var code:Int?
    var message : String?
    var data :appointmentTimeDataModel?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class appointmentTimeDataModel: Mappable {
    var today:Dictionary<String,String>?
    var tomorrow : Dictionary<String,String>?
    var taftert :Dictionary<String,String>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        today <- map["today"]
        tomorrow <- map["tomorrow"]
        taftert <- map["taftert"]
    }
}
//MARK: - 物流费用预估
class registerModel: Mappable {
    var code:Int?
    var message : String?
    var data :registerDataModel?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class registerDataModel: Mappable {
    var price_jd:Int?
    var price_sf : String?
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        price_jd <- map["price_jd"]
        price_sf <- map["price_sf"]
    }
}
//MARK: - 运单详情
class addLogisticsOrderModel: Mappable {
    var code:Int?
    var message : String?
    var data :addLogisticsOrderDataModel?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class addLogisticsOrderDataModel: Mappable {
    var id:Int?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        id <- map["id"]
    }
}
//MARK: - 运单详情
class logisticsOrderDetailsModel: Mappable {
    var code:Int?
    var message : String?
    var data :logisticsOrderDetailsDataModel?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class logisticsOrderDetailsDataModel: Mappable {

    var id:Int? //运单id
    var user_id : Int?
    var wb_no :String?

    var lwb_no:String?//运单编号
    var sf_order_no : String?  //顺丰专用订单号
    var order_id :Int? //关联的格利订单id

    var order_sn:String?//关联的格利订单sn
    var sale_plat : String?//关联销售平台（如：格利食品网）
    var delivery_type :Int?   //产品类型；1：零担 2:整车 3:特惠送 4:特快送 5:特惠运 6:特准运 7航空代理 8航空直客9 铁路直客 10 特惠整车11特惠拼车12同城直配13:冷链卡班 14冷链专车15:冷链成配 16:送货到仓 17医药零担 18医药整车 25 特快重货

    var tempture_num:String?//温藏
    var home_delivery_on : Int? //上门提货，1是0非
    var sr_id :Int?//物流公司id

    var express_item_name:String?//寄托物
    var weight : CGFloat?//重量
    var volume :CGFloat?  //体积

    var volume_long:CGFloat?
    var volume_width : CGFloat?
    var volume_height :CGFloat?

    var express_item_qty:Int?   //寄托物总件数
    var quarantine_cert : Int?//有无动物检疫证 0-无效，1-有，2-无；非冷链不需传值
    var freight_pre :CGFloat? //预估运费

    var freight:CGFloat?//真实运费
    var pickup_begin_time : Double?
    var pickup_end_time :Double?

    var fc_flag:Int?//运费结算方式； 0:月结 1:到付 2:现付
    var guarantee_value : CGFloat? //保价金额(保留小数点后两位)
    var guarantee_fee :CGFloat?     //保费

    var remark:String? //特殊说明/备注
    var delivery_into_ws : Int? //是否送货入仓：1是 0否
    var qingzhen_on :Int?//是否清真：1是 0否

    var yiwuran_on:Int?//是否易污染：1是 0否
    var create_time : Double?
    var delivery_status :Int?    //运单状态：1下单完成 2揽收成功 3运输中 4已签收 5已取消 6拒收 7再投

    var pay_status:Int?//运单运费支付状态：1待支付 2已支付 3已退款
    var pay_type : Int?  //支付类型：暂无
    var shop_id :Int?

    var r_user_id:Int?
    var sign_time : Double? //签收时间
    var lc_id :Int?

    var site_delivery:CGFloat? //站点派送 0-无效，1-是京东派送，2-非京东派送；非冷链不需传值
    var ope_title : String?
    var ope_time :String?

    var ope_remark:String?
    var is_delete : Int?
    var cus_id :Int?

    var receipt_flag:Int?
    var producer : String?//制单人
    var r_consignee :String? //收件人名称

    var r_country:Int?
    var r_province : Int?
    var r_city :Int?

    var r_district:Int?
    var r_street : Int?
    var r_address :String? //收件人详细地址

    var r_zipcode:String?
    var r_tel : String?
    var r_mobile :String? //收件人手机号码

    var s_consignee:String?//发件人名称
    var s_country : Int?
    var s_province :Int?

    var s_city:Int?
    var s_district : Int?
    var s_street :Int?

    var s_address:String?
    var s_zipcode : String?
    var s_tel :String?

    var s_mobile:String? //发件人手机号码
    var r_province_name : String? //收件人省
    var r_city_name :String?//收件人市

    var r_district_name:String?//收件人区
    var r_street_name : String?
    var s_province_name :String?//发件人省

    var s_city_name:String? //发件人市
    var s_district_name : String?//发件人区
    var s_street_name :String?

    var lc_create_time:Double?
    var delivery_status_cn : String?//订单状态-中文
    var pay_status_cn :String?//支付状态-中文

    var home_delivery_on_cn:String?//寄件方式-中文
    var site_delivery_cn : String?//派件方式-中文
    var fc_flag_cn :String?  //运费结算方式-中文

    required init?( map: Map) {

    }
    func mapping(map: Map) {
        id <- map["id"]
        user_id <- map["user_id"]
        wb_no <- map["wb_no"]

        lwb_no <- map["lwb_no"]
        sf_order_no <- map["sf_order_no"]
        order_id <- map["order_id"]

        order_sn <- map["order_sn"]
        sale_plat <- map["sale_plat"]
        delivery_type <- map["delivery_type"]

        tempture_num <- map["tempture_num"]
        home_delivery_on <- map["home_delivery_on"]
        sr_id <- map["sr_id"]

        express_item_name <- map["express_item_name"]
        weight <- map["weight"]
        volume <- map["volume"]

        volume_long <- map["volume_long"]
        volume_width <- map["volume_width"]
        volume_height <- map["volume_height"]

        express_item_qty <- map["express_item_qty"]
        quarantine_cert <- map["quarantine_cert"]
        freight_pre <- map["freight_pre"]

        freight <- map["freight"]
        pickup_begin_time <- map["pickup_begin_time"]
        pickup_end_time <- map["pickup_end_time"]

        fc_flag <- map["fc_flag"]
        guarantee_value <- map["guarantee_value"]
        guarantee_fee <- map["guarantee_fee"]

        remark <- map["remark"]
        delivery_into_ws <- map["delivery_into_ws"]
        qingzhen_on <- map["qingzhen_on"]

        yiwuran_on <- map["yiwuran_on"]
        create_time <- map["create_time"]
        delivery_status <- map["delivery_status"]

        pay_status <- map["pay_status"]
        pay_type <- map["pay_type"]
        shop_id <- map["shop_id"]

        r_user_id <- map["r_user_id"]
        sign_time <- map["sign_time"]
        lc_id <- map["lc_id"]

        site_delivery <- map["site_delivery"]
        ope_title <- map["ope_title"]
        ope_time <- map["ope_time"]

        ope_remark <- map["ope_remark"]
        is_delete <- map["is_delete"]
        cus_id <- map["cus_id"]

        receipt_flag <- map["receipt_flag"]
        producer <- map["producer"]
        r_consignee <- map["r_consignee"]

        r_country <- map["r_country"]
        r_province <- map["r_province"]
        r_city <- map["r_city"]

        r_district <- map["r_district"]
        r_street <- map["r_street"]
        r_address <- map["r_address"]

        r_zipcode <- map["r_zipcode"]
        r_tel <- map["r_tel"]
        r_mobile <- map["r_mobilev"]

        s_consignee <- map["s_consignee"]
        s_country <- map["s_country"]
        s_province <- map["s_province"]

        s_city <- map["s_city"]
        s_district <- map["s_district"]
        s_street <- map["s_street"]
        
        s_address <- map["s_address"]
        s_zipcode <- map["s_zipcode"]
        s_tel <- map["s_tel"]
        
        s_mobile <- map["s_mobile"]
        r_province_name <- map["r_province_name"]
        r_city_name <- map["r_city_name"]
        
        r_district_name <- map["r_district_name"]
        r_street_name <- map["r_street_name"]
        s_province_name <- map["s_province_name"]
        
        s_city_name <- map["s_city_name"]
        s_district_name <- map["s_district_name"]
        s_street_name <- map["s_street_name"]
        
        lc_create_time <- map["lc_create_time"]
        delivery_status_cn <- map["delivery_status_cn"]
        pay_status_cn <- map["pay_status_cn"]
        
        home_delivery_on_cn <- map["home_delivery_on_cn"]
        site_delivery_cn <- map["site_delivery_cn"]
        fc_flag_cn <- map["fc_flag_cn"]
    }
}
