//
//  OrderInterface.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/12.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK:--订单列表
/**
 params-key:
 
 user_token(验证token)
 keyword(搜索筛选，订单sn或者客户名)
 start_time(时间筛选，开始时间)
 end_time(时间筛选,结束时间)
 pay_status(支付状态;0未付款;1欠款;2已付款,10月结,11退款 12已付定金)
 order_source(下单方式，1自主下单，2销售下单)
 shipping_status(商品配送状态;0未发货,1已发货,2已收货,4退货    )
 order_status(订单状态：0待确认,1待付款,6待发货,7已发货,5退款/货,2已取消)
 page(页数)

 */
func orderList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("订单列表", params, { (rep:DataResponse<OrderListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--订单详情
/**
 params-key:
 
 user_token(验证token)
 order_id(订单ID)
 
 */
func orderDetail(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("订单详情", params, { (rep:DataResponse<OrderDetailModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--普通订单发货
/**
params-key:

user_token(验证token)
order_id(订单ID)

*/
func sendOut(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("普通订单发货", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--预售订单发货
/**
params-key:

user_token(验证token)
order_id(订单ID)

*/
func sendOutAd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("预售订单发货", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--订单绑定/更换绑定客户
/**
params-key:

user_token(验证token)
order_id(订单ID)
cus_id(客户id)

*/
func bindCus(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("订单绑定/更换绑定客户", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--确认订单
/**
params-key:

user_token(验证token)
order_id(订单ID)

*/
func orderConfirm(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("确认订单", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--确认订单
/**
params-key:

user_token(验证token)
order_id(订单ID)

*/
func orderCancel(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("订单取消", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--修改订单商品价格
/**
params-key:

user_token(验证token)
order_id(订单ID)
 order_goods(订单商品数据，二维数组json格式，字段见下表)
 
 og_id(订单商品id，取数返回)
 cart_number(订单商品数量)
 goods_price(订单商品修改后的价格)
 is_edit(订单商品是否有修改，1是0非)

*/
func editOrderGoodsPrice(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("修改订单商品价格", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--修改预售订单商品价格
/**
params-key:

user_token(验证token)
order_id(订单ID)
 og_id(订单商品id)
 
 dj_amount(定金金额)
 wk_amount(尾款金额)

*/
func editOrderGoodsPriceAd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("修改预售订单商品价格", params, { (rep:DataResponse<EditOGPAdModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--订单退款
/**
params-key:

user_token(验证token)
order_id(订单ID)

*/
func orderRefund(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("订单退款", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--普通订单退货
/**
params-key:

user_token(验证token)
order_id(订单ID)

*/
func orderReturnedGoods(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("普通订单退货", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--普通订单退货
/**
params-key:

user_token(验证token)
order_id(订单ID)

*/
func orderReturnedGoodsAd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("预售订单退货", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--修改订单支付方式(状态)
/**
params-key:

user_token(验证token)
order_id(订单ID)
 is_adsale(是否为预售订单，1是0非)
 amount_type(预售订单修改定金或者尾款，1定金，2尾款)
 pay_type(修改后的支付方式)
 
*/
func editPayType(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("修改订单支付方式(状态)", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--获取客户信息
/**
params-key:

user_token(验证token)
 
*/
func cusListAll(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("获取客户信息", params, { (rep:DataResponse<CusListAllModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--获取物流公司信息
/**
params-key:

user_token(验证token)
 
*/
func logisticsCompany(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("获取物流公司信息", params, { (rep:DataResponse<LogisticsCompanyModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK: --获取商品信息

/**
params-key:

user_token(验证token)
is_adsale（是否预售，1是0非）

*/
func getGoodsInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("获取商品信息", params, { (rep:DataResponse<GetGoodsInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: --根据客户获取地址信息


/**
params-key:

user_token(验证token)
cus_id（客户id）

*/
func getAddrsInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("根据客户获取地址信息", params, { (rep:DataResponse<GetAddrsInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}
//MARK: --修改购买商品数量


/**
params-key:

user_token(验证token)
is_adsale（是否预售，1是0非）
sku_id (商品sku_id)
number（商品数量    ）

*/
func editFtNumber(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("修改购买商品数量", params, { (rep:DataResponse<EditFtNumberModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: --提交下单
/**
params-key:

user_token(验证token)
is_adsale（是否预售，1是0非）
goods_info (商品信息，数组，转为json格式)
order_info（订单信息，数组，转为json格式）

*/
func addOrder(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("提交下单", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}


//MARK: --填写/修改订单物流单号

/**
params-key:

user_token(验证token)
order_id（订单id）
 lwb_no（运单号 ）

*/
func editLwbno(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("填写/修改订单物流单号", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: -- 拒绝退款
/**
params-key:
user_token(验证token)
order_id（订单id）
*/
func orderRefundRefuse(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("拒绝退款", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: -- 确认用户退款到账
/**
params-key:
user_token(验证token)
order_id（订单id）
*/
func ConfirmRefund(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("确认用户退款到账", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: -- 拒绝接单
/**
params-key:
user_token(验证token)
order_id（订单id）
*/
func refuseOrder(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("拒绝接单", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: -- 审核同意退货退款
/**
params-key:
user_token(验证token)
order_id（订单id）
*/
func refundAndSalesReturn(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("审核同意退货退款", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: -- 取消订单审核
/**
params-key:
user_token(验证token)
order_id（订单id）
*/
func orderCancelAudit(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("取消订单审核", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: -- 确认收到退货
/**
params-key:
user_token(验证token)
order_id（订单id）
*/
func confirmReturnedGoods(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("确认收到退货", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}

//MARK: -- 审核同意退货或退款
/**
params-key:
user_token(验证token)
order_id（订单id）
*/
func refundOrSalesReturn(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("审核同意退货或退款", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}


//MARK: -- 订单确认收货
/**
params-key:
user_token(验证token)
order_id（订单id）
*/
func confirmReceiving(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) { NetworkRequest.sharedInstance.postRequest("订单确认收货", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
    }
}
