//
//  PurchaseInterface.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/9.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK:--供应商列表 +详情
/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
 //ven_id 供应商id
 //purchase_time 采购时间，时间戳格式
 purchaser 采购人
 type 采购单类型:1临时采购,2固定采购
 remarks 采购订单备注
 is_apply 是否为申请，1申请，2非申请
 goods_info 商品数据，json格式，字段见下表
 goods_id 商品id
 goods_name 商品名
 sku_id 商品sku_id
 sku_name 商品规格名
 num 数量
 unit 单位
 price 价格(售价)
 amount 采购价    
 */
func purchaseOrderAdd(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("新增采购单", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}


//MARK:--采购单列表
/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
 page 分页
 keyword 搜索关键词
 order_status 订单状态(1未审核,2审核通过,3审核不通过,4已完成)
 */
func purchaseOrderList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("采购单列表", params, { (rep:DataResponse<PurchaseOrderListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--采购单详情
/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
po_id 采购单id
 */
func purchaseOrderDetail(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("采购单详情", params, { (rep:DataResponse<PurchaseOrderDetailModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--审核采购单
/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
po_id 采购单id
 order_status 状态,2审核通过,3审核不通过
 reason 不通过备注，不通过时必选
 */
func purchaseOrderAudit(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("审核采购单", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--撤销入库
/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
po_id 采购单id
 */
func backOut(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("撤销入库", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--采购单修改支付状态
/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
po_id 采购单id
 pay_type     支付类型:0未支付,1现金,2转账(私),3转账(公),4转账(微信),5转账(支付宝)
 pay_status 付款状态:1未付款,2已付款,3月结,4欠款
 */
func payStatus(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("采购单修改支付状态", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--取消采购单

/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
po_id     应收账款记录id
 */
func cancelPurchaseOrder(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("取消采购单", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--修改采购订单
/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
po_id 采购单id
 ven_id 供应商id
 purchase_time 采购时间，时间戳格式
 purchaser 采购人
 type 采购单类型:1临时采购,2固定采购
 remarks 采购订单备注
 goods_info
 
 pog_id 采购单商品id,新增项填0
 edit_status 订单商品修改状态,1未修改，2新增，3删除
 goods_id 商品id
 goods_name 商品名
 sku_id 商品sku_id
 sku_name 商品规格名
 num 数量
 unit 单位
 price 价格(售价)
 amount 采购价
 */
func purchaseOrderEdit(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("修改采购订单", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--新增采购单初始化信息
/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
 */
func InitInfo(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("新增采购单初始化信息", params, { (rep:DataResponse<InitInfoModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
