//
//  PurchaseModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/12.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取统计+权限

class PurchaseOrderListModel: Mappable {
    var code:Int?
    var message : String?
    var data :PurchaseOrderListNewModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class PurchaseOrderListNewModel: Mappable {
    var purchase_auth:Array<String>?
    var list : Array<PurchaseOrderListDataModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        purchase_auth <- map["purchase_auth"]
        list <- map["list"]
    }
}
class PurchaseOrderListDataModel: Mappable {
    var po_id:Int? //采购单id
    var po_no : String? //采购单号
    var ven_id :Int?  //供应商id
    
    var total_num:Int? //采购总数量
    var purchaser : String?  //采购人
    var total_amount :String? //采购总金额
    
    var pay_status:Int?  //付款状态(1未付款，2已付款，3月结，4欠款）
    var pay_type : Int?   //支付类型（0未支付，1现金，2转账（私），3转账（公），4转账（微信），5转账（支付宝））
    var order_status :Int?  //订单状态（1未审核，2审核通过，3审核不通过，4已撤销，5已完成）
    
    var old_order_status:Int?//订单状态（1未审核，2审核通过，3审核不通过，4已撤销，5已完成）
    var push_status : Int?   //入库状态（1未入库，2部分入库，3已入库）
    var user_name :String?//制单人
    
    var type:Int?//采购单类型（1临时采购，2固定采购）
    var ven_name : String? //供应商名
    var goods_res :Array<PurchaseOrderListDataItemsModel>?
    
    var purchase_time:Double?
    var remarks:String?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        po_id <- map["po_id"]
        po_no <- map["po_no"]
        ven_id <- map["ven_id"]
        
        total_num <- map["total_num"]
        purchaser <- map["purchaser"]
        total_amount <- map["total_amount"]
        
        pay_status <- map["pay_status"]
        pay_type <- map["pay_type"]
        order_status <- map["order_status"]
        
        old_order_status <- map["old_order_status"]
        push_status <- map["push_status"]
        user_name <- map["user_name"]
        
        type <- map["type"]
        ven_name <- map["ven_name"]
        goods_res <- map["goods_res"]
        
        purchase_time <- map["purchase_time"]
        remarks <- map["remarks"]
    }
}

class PurchaseOrderListDataItemsModel: Mappable {
    var pog_id:Int? //订单商品id
    var po_id : Int?
    var goods_id :Int?//商品id
    
    var goods_name:String? //商品名
    var sku_id : Int?
    var sku_name :String? //规格值
    
    var num:Int?//数量
    var no_push_num : Int?  //未入库数量
    var frozen_num :Int?
    
    var amount:String?  //采购单价
    var price : String? //销售单价
    var unit :String?//单位名称
    var subtotal :String? //采购价小计
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        pog_id <- map["pog_id"]
        po_id <- map["po_id"]
        goods_id <- map["goods_id"]
        
        goods_name <- map["goods_name"]
        sku_id <- map["sku_id"]
        sku_name <- map["sku_name"]
        
        num <- map["num"]
        no_push_num <- map["no_push_num"]
        frozen_num <- map["frozen_num"]
        
        amount <- map["amount"]
        price <- map["price"]
        unit <- map["unit"]
        subtotal <- map["subtotal"]
    }
}

class PurchaseOrderDetailModel: Mappable {
    var code:Int?
    var message : String?
    var data : PurchaseOrderDetailNewModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class PurchaseOrderDetailNewModel: Mappable {
    var purchase_auth :Array<String>?
    var purchase_order : PurchaseOrderDetailDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        purchase_auth <- map["purchase_auth"]
        purchase_order <- map["purchase_order"]
    }
}
class PurchaseOrderDetailDataModel: Mappable {
    var po_id:Int?  //采购单id
    var po_no : String?//采购单号
    var type :Int?//采购单类型（1临时采购，2固定采购）
    
    var remarks:String?//备注
    var reason : String?//审核不通过原因
    var ven_id :Int?
    
    var purchase_time:Double?  //采购时间
    var user_name : String?  //制单人
    var pay_status :Int? //付款状态(1未付款，2已付款，3月结，4欠款）
    
    var pay_type:Int? //支付类型（0未支付，1现金，2转账（私），3转账（公），4转账（微信），5转账（支付宝））
    var purchaser : String? //采购人
    var push_status :Int?  //入库状态（1未入库，2部分入库，3已入库）
    
    var order_status:Int? //订单状态（1未审核，2审核通过，3审核不通过，4已撤销，5已完成）
    var ven_name : String?//供应商名
    var pay_status_cn :String?
    
    var pay_type_cn :String?
    var order_status_cn :String?
    var goods_res:Array<PurchaseOrderDetailDataResModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        po_id <- map["po_id"]
        po_no <- map["po_no"]
        type <- map["type"]
        
        remarks <- map["remarks"]
        reason <- map["reason"]
        ven_id <- map["ven_id"]
        
        purchase_time <- map["purchase_time"]
        user_name <- map["user_name"]
        pay_status <- map["pay_status"]
        
        pay_type <- map["pay_type"]
        purchaser <- map["purchaser"]
        push_status <- map["push_status"]
        
        order_status <- map["order_status"]
        ven_name <- map["ven_name"]
        pay_status_cn <- map["pay_status_cn"]
        
        pay_type_cn <- map["pay_type_cn"]
        order_status_cn <- map["order_status_cn"]
        goods_res <- map["goods_res"]
    }
}

class PurchaseOrderDetailDataResModel: Mappable {
    var pog_id:Int?//采购订单商品id
    var po_id : Int?
    var goods_id :Int?//商品id
    
    var goods_name:String?//商品名
    var sku_id : Int?//规格id
    var sku_name :String?//规格名
    
    var num:Int?//采购数量
    var no_push_num : Int? //未入库数量
    var frozen_num :Int?
    
    var amount:String? //采购单价
    var price : String?  //销售单价
    var unit :String?//单位名称
    
    var subtotal:String?//采购价小计
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        pog_id <- map["pog_id"]
        po_id <- map["po_id"]
        goods_id <- map["goods_id"]
        
        goods_name <- map["goods_name"]
        sku_id <- map["sku_id"]
        sku_name <- map["sku_name"]
        
        num <- map["num"]
        no_push_num <- map["no_push_num"]
        frozen_num <- map["frozen_num"]
        
        amount <- map["amount"]
        price <- map["price"]
        unit <- map["unit"]
        subtotal <- map["subtotal"]
    }
}


//获取统计+权限

class InitInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data :InitInfoDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class InitInfoDataModel: Mappable {
    var vender:Array<InitInfoVenderModel>?
    var goods :Array<InitInfoGoodsModel>?
    var auth :Array<String>? //采购权限，92采购订单管理 119新增采购单 124采购入库 125申请采购单
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        vender <- map["vender"]
        goods <- map["goods"]
        auth <- map["auth"]
    }
}

class InitInfoGoodsModel: Mappable {
    var goods_id:Int?//商品id
    var goods_thumb :String?   //缩略图
    var goods_name :String? //商品名
    var sku_id :Int?
    
    var sku_name:Int? //商品规格
    var unit :String? //单位
    var price :String? //售价
    var warehouse_inventory :Int?//现有库存
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        goods_id <- map["goods_id"]
        goods_thumb <- map["goods_thumb"]
        goods_name <- map["goods_name"]
        sku_id <- map["sku_id"]
        sku_name <- map["sku_name"]
        unit <- map["unit"]
        price <- map["price"]
        warehouse_inventory <- map["warehouse_inventory"]
    }
}

class InitInfoVenderModel: Mappable {
    var ven_id:Int?//供应商id
    var ven_name :String?//供应商名
    var contacts_name :String? //联系人
    var contacts_mobile :String?  //；联系方式
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        ven_id <- map["ven_id"]
        ven_name <- map["ven_name"]
        contacts_name <- map["contacts_name"]
        contacts_mobile <- map["contacts_mobile"]
    }
}
