//
//  GetGoodBatchModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/30.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper

class GetGoodBatchModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<GetGoodBatchDataModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GetGoodBatchDataModel: Mappable {
    var batch_id:Int?//批次id
    var batch_sn : Int?  //批次号
    var w_id : Int? //仓储id
    
    var p_id:Int?  //库位id
    var inventory : Int? //现有库存
    var production_data : Double?//生产日期
    
    var valid_date:Double?  //过期时间
    var shelf_life : Int?        //保质期
    var status : Int?//状态：1正常，2临期，3过期
    var report_id : Int?//批次报告
    var chuHuoLiang:Int?//出货量
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        batch_id <- map["batch_id"]
        batch_sn <- map["batch_sn"]
        w_id <- map["w_id"]
        
        p_id <- map["p_id"]
        inventory <- map["inventory"]
        production_data <- map["production_data"]
        valid_date <- map["valid_date"]
        shelf_life <- map["shelf_life"]
        status <- map["status"]
        report_id <- map["report_id"]
        chuHuoLiang <- map["chuHuoLiang"]
    }
}

