//
//  OutGoodsDetailModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/30.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper

class InGoodsDetailModel: Mappable {
    var code:Int?
    var message : String?
    var data : InGoodsDetailDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class InGoodsDetailDataModel: Mappable {
  
    var io_res : InGoodsDetailDataIoResModel?
    var goods_res : Array<InGoodsDetailDataGoodsResModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        io_res <- map["io_res"]
        goods_res <- map["goods_res"]
    }
}
class InGoodsDetailDataIoResModel: Mappable {
  
    var apply_remark : String?//申请备注
    var audit_remark : String?//  审核备注
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        apply_remark <- map["apply_remark"]
        audit_remark <- map["audit_remark"]
    }
}

class InGoodsDetailDataGoodsResModel: Mappable {
  
    var iog_id : Int?
    var sku_id : Int? //商品sku_id
    var goods_name : String?  //商品名
    
    var goods_spec : String?//商品规格
    var number : Int?  //数量
    var production_data : Double?
    var valid_date : Double?
    
    var shelf_life : Int?
    var report_id : Int?
    var amount:String?
    var subtotal:String?
    var inventory : Int?
    var report_sn : String?
    var file_url : String?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        iog_id <- map["iog_id"]
        sku_id <- map["sku_id"]
        goods_name <- map["goods_name"]
        
        goods_spec <- map["goods_spec"]
        number <- map["number"]
        production_data <- map["production_data"]
        valid_date <- map["valid_date"]
        
        shelf_life <- map["shelf_life"]
        report_id <- map["report_id"]
        amount <- map["amount"]
        subtotal <- map["subtotal"]
        inventory <- map["inventory"]
        report_sn <- map["report_sn"]
        file_url <- map["file_url"]
    }
}

