//
//  inputInitInfoModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/30.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//仓库列表
class InputInitInfoModel: Mappable {
    var code:Int?
    var message : String?
    var data : InputInitInfoDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class InputInitInfoDataModel: Mappable {
    var warehouse_res : Array<InputInitInfoWareHouseResModel>?
    var goods_info : Array<InputInitInfoGoodsInfoModel>?
    var auth : Array<String>?
    /*
     "auth": [ //出库、入库权限，值固定为以下4个，缺少哪个值则说明无对应权限
                "63",        //入库
                "64",        //出库
                "65",        //申请入库
                "66"        //申请出库
            ]
     */
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        warehouse_res <- map["warehouse_res"]
        goods_info <- map["goods_info"]
        auth <- map["auth"]
    }
}

class InputInitInfoWareHouseResModel: Mappable {//仓库数据
    var w_id:Int?   //仓库id
    var shop_id : Int?
    var w_name : String?  //仓库名
    var w_type : Int?   //仓库类型，1常温、2冷藏、3冷冻
    
    var w_address:String?  //仓库地址
    var volume : Int?   //容积，单位立方米
    var area : Int?//面积，单位平方米
    var contact : String? //联系人
    
    var contact_number:String? //联系电话
    var mail : String?    //电子邮箱
    var position_count : Int?//库位数量(统计用)
    var is_default : Int? //是否为默认
    var inventory_count : Int? //库存总数
    var warehouse_position : Array<InputInitInfoWareHouseResPositionModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        w_id <- map["w_id"]
        shop_id <- map["shop_id"]
        w_name <- map["w_name"]
        w_type <- map["w_type"]
        w_address <- map["w_address"]
        volume <- map["volume"]
        area <- map["area"]
        contact <- map["contact"]
        contact_number <- map["contact_number"]
        mail <- map["mail"]
        position_count <- map["position_count"]
        is_default <- map["is_default"]
        inventory_count <- map["inventory_count"]
        warehouse_position <- map["warehouse_position"]
        
    }
}

class InputInitInfoWareHouseResPositionModel: Mappable {
    var p_id :Int? //库位id
    var w_id : Int?//仓库id
    var p_name : String?//库位名
    var is_default :Int?//是否为默认
    var inventory_count : Int?   //库存总数
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        p_id <- map["p_id"]
        w_id <- map["w_id"]
        p_name <- map["p_name"]
        is_default <- map["is_default"]
        inventory_count <- map["inventory_count"]
    }
}

class InputInitInfoGoodsInfoModel: Mappable {  //商品信息
    var sku_id : Int?//sku_id
    var goods_id :Int?//商品id
    var goods_name : String?//商品名
    
    var goods_thumb : String?//商品缩略图
    var spec_str :String?  //商品规格
    var price : String?  //商品价格
    
    var inventory : Int?//可售库存
    var warehouse_inventory :Int?//仓储库存
     //text:数据  inputType: 100-保质期 101-总价 102-入库数量 103-入库价格
    var BZQ:Int?
    var ZJ:Float?
    var RKSL:Int?
    var RKJG:Float?
    var DayType:Int = 1
    
    var createDay:Int?
    var createDayStr:String?
    
    var chuKuLiang:Int?
    var pog_id = 0
    
    var no_push_num:Int?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        sku_id <- map["sku_id"]
        goods_id <- map["goods_id"]
        goods_name <- map["goods_name"]
        goods_thumb <- map["goods_thumb"]
        spec_str <- map["spec_str"]
        price <- map["price"]
        inventory <- map["inventory"]
        warehouse_inventory <- map["warehouse_inventory"]
        BZQ <- map["BZQ"]
        ZJ <- map["ZJ"]
        RKSL <- map["RKSL"]
        RKJG <- map["RKJG"]
        DayType <- map["DayType"]
        chuKuLiang <- map["chuKuLiang"]
        pog_id <- map["pog_id"]
        no_push_num <- map["no_push_num"]
    }
}

class GoodsReportAddModel: Mappable {
    var code:Int?
    var message : String?
    var data : GoodsReportAddDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class GoodsReportAddDataModel: Mappable { 
    var report_id:Int?
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        report_id <- map["report_id"]
    }
}

