//
//  IoGoodsDetailModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/30.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper

class IoGoodsDetailModel: Mappable {
    var code:Int?
    var message : String?
    var data : IoGoodsDetailDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class IoGoodsDetailDataModel: Mappable {
    var io_res:IoGoodsDetailDataIoResModel?
    var goods_res : Array<IoGoodsDetailDataGoodsResModel>?
   
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        io_res <- map["io_res"]
        goods_res <- map["goods_res"]
    }
}

class IoGoodsDetailDataIoResModel: Mappable {
    //申请备注
    var apply_remark:String?
    //审核备注
    var audit_remark : String?
   
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        apply_remark <- map["apply_remark"]
        audit_remark <- map["audit_remark"]
    }
}

class IoGoodsDetailDataGoodsResModel: Mappable {
    var iog_id:Int?
    var sku_id : Int?//商品sku_id
    var goods_name:String?  //商品名
    var goods_spec : String?//商品规格
    
    var number:Int?//数量
    var production_data : Double?  //生产日期
    var valid_date:Double?  //过期时间
    var shelf_life : Int? //保质期(单位：天)
    
    var report_id:Int? //商品报告id
    var amount : String?
    var subtotal:String?
    var report_sn : String? //商品报告sn
    
    var file_url:String?//商品报告文件
    var w_name : String?//仓库
    var p_name:String?//库位

   
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        iog_id <- map["iog_id"]
        sku_id <- map["sku_id"]
        goods_name <- map["goods_name"]
        goods_spec <- map["goods_spec"]
        
        number <- map["number"]
        production_data <- map["production_data"]
        valid_date <- map["valid_date"]
        shelf_life <- map["shelf_life"]
        
        report_id <- map["report_id"]
        amount <- map["amount"]
        subtotal <- map["subtotal"]
        report_sn <- map["report_sn"]
        
        file_url <- map["file_url"]
        w_name <- map["w_name"]
        p_name <- map["p_name"]
    }
}
