//
//  OutGoodsDetailModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/30.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper

class OutGoodsDetailModel: Mappable {
    var code:Int?
    var message : String?
    var data : OutGoodsDetailDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class OutGoodsDetailDataModel: Mappable {
  
    var io_res : OutGoodsDetailDataIoResModel?
    var goods_res : Array<OutGoodsDetailDataGoodsResModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        io_res <- map["io_res"]
        goods_res <- map["goods_res"]
    }
}
class OutGoodsDetailDataIoResModel: Mappable {
  
    var apply_remark : String?//申请备注
    var audit_remark : String?//  审核备注
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        apply_remark <- map["apply_remark"]
        audit_remark <- map["audit_remark"]
    }
}

class OutGoodsDetailDataGoodsResModel: Mappable {
  
    var iog_id : Int?
    var goods_id : Int? //商品id
    var sku_id : Int? //商品sku_id
    var goods_name : String?  //商品名
    
    var goods_spec : String?//商品规格
    var number : Int?  //数量
    var production_data : Double?
    var valid_date : Double?
    
    var shelf_life : Int?
    var report_id : Int?
    var batch_id : Int?
    var inventory : Int?
    
    var p_name:String?
    var w_name:String?
    var file_url:String?
    var report_sn:String?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        iog_id <- map["iog_id"]
        goods_id <- map["goods_id"]
        sku_id <- map["sku_id"]
        goods_name <- map["goods_name"]
        
        goods_spec <- map["goods_spec"]
        number <- map["number"]
        production_data <- map["production_data"]
        valid_date <- map["valid_date"]
        
        shelf_life <- map["shelf_life"]
        report_id <- map["report_id"]
        batch_id <- map["batch_id"]
        inventory <- map["inventory"]
    }
}

