//
//  ShopWarehouseDetail.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/18.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper

class ShopWarehouseDetailModel: Mappable {
    var code:Int?
    var message : String?
    var data : ShopWarehouseDetailDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class ShopWarehouseDetailDataModel: Mappable {
 
    var warehouse_res : ShopWarehouseDetailDataBasicModel? //仓库基本信息
    var position_res : Array<ShopWarehouseDetailDataPositionModel>? //库存总数商店id

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        warehouse_res <- map["warehouse_res"]
        position_res <- map["position_res"]
    }
    
}

class ShopWarehouseDetailDataBasicModel: Mappable {
    var w_id : Int? //仓库id
    var shop_id :Int?
    var w_name:String?//仓库名
    var w_type:Int? //仓库类型，1常温、2冷藏、3冷冻
    var w_address:String?//地址
    var volume:Float?//容积
    var area:Float?//面积
    var contact:String?//联系人
    var contact_number:String?//联系电话
    var mail:String?//电子邮箱
    var position_count:Int?
    var is_default:Int?//是否默认
    var inventory_count:Int?//库存总数
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        w_id <- map["w_id"]
        shop_id <- map["shop_id"]
        w_name <- map["w_name"]
        w_type <- map["w_type"]
        w_address <- map["w_address"]
        volume <- map["volume"]
        area <- map["area"]
        contact <- map["contact"]
        contact_number <- map["contact_number"]
        mail <- map["mail"]
        position_count <- map["position_count"]
        is_default <- map["is_default"]
        inventory_count <- map["inventory_count"]
    }
    
}

class ShopWarehouseDetailDataPositionModel: Mappable {
    var p_id :Int?//库位id
    var w_id :Int?//仓库id
    var p_name:String?//库位名
    var is_default:Int?//是否默认
    var inventory_count:Int?//库存数
    var status:Int = 1
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        p_id <- map["p_id"]
        w_id <- map["w_id"]
        p_name <- map["p_name"]
        is_default <- map["is_default"]
        inventory_count <- map["inventory_count"]
        status <- map["status"]
    }
}

class ShopWarehouseDetailDataPositionDetailModel: Mappable {
    var p_id :Int?//库位id
    var p_name:String?//库位名
    var status:Int?//库位修改状态，1未修改2已修改3删除4新增，库位中有库存时则不能删除
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        p_id <- map["p_id"]
        p_name <- map["p_name"]
        status <- map["status"]
    }
}


