//
//  shopWarehouseListModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/18.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//仓库列表
class ShopWarehouseListModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<ShopWarehouseListDataModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class ShopWarehouseListDataModel: Mappable {
 
    var w_id : Int? //库存总数仓库id
    var shop_id : Int? //库存总数商店id
    var w_name : String? //库存总数仓库名
    var w_type : Int? //库存总数仓库类型，1常温、2冷藏、3冷冻
    var w_address : String? //库存总数仓库地址
    var volume : Int? //容积，库存总数单位立方米
    var area : Int? //面积，库存总数单位平方米
    var contact : String? //库存总数联系人
    var contact_number : String? //库存总数联系电话
    var mail : String? //库存总数电子邮箱
    var position_count : Int? //库存总数库位数量(统计用)
    var is_default : Bool? //库存总数是否为默认
    var inventory_count : Int? //库存总数
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        w_id <- map["w_id"]
        shop_id <- map["shop_id"]
        w_name <- map["w_name"]
        w_type <- map["w_type"]
        w_address <- map["w_address"]
        volume <- map["volume"]
        area <- map["area"]
        contact <- map["contact"]
        contact_number <- map["contact_number"]
        mail <- map["mail"]
        position_count <- map["position_count"]
        is_default <- map["is_default"]
        inventory_count <- map["inventory_count"]
    }
    
}
