//
//  WarehouseIoListModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/5/30.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper

class WarehouseIoListModel: Mappable {
    var code:Int?
    var message : String?
    var data : WarehouseIoListDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class WarehouseIoListDataModel: Mappable {
    
    var io_res :Array<WarehouseIoListDataDetailModel>? //商品信息数据
    var auth : Array<String>? //仓储权限，63入库 64出库 65申请入库 66申请出库 121出库审核 122入库审核
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        io_res <- map["io_res"]
        auth <- map["auth"]
        
    }
}

class WarehouseIoListDataDetailModel: Mappable {
    var io_id:Int?//出入库id
    var oi_sn : String?//出入库sn
    var applicant : String? //申请人
    
    var io_type:Int?    //类型(出/入库)，1入库，2出库，3撤销入库
    var status : Int?//出入库(审核)状态，1审核中，2通过，3不通过
    var auditor : String?//审核人
    
    var add_time:Double?//下单时间
    var audit_time : Double?//审核时间
    var i_type : Int?
    
    var o_type:Int?
    var goods_res : Array<WarehouseIoListDataResModel>? //商品信息
    var io_type_cn : String?     //出/入库详细类型(已中文处理
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        io_id <- map["io_id"]
        oi_sn <- map["oi_sn"]
        applicant <- map["applicant"]
        
        io_type <- map["io_type"]
        status <- map["status"]
        auditor <- map["auditor"]
        
        add_time <- map["add_time"]
        audit_time <- map["audit_time"]
        i_type <- map["i_type"]
        
        o_type <- map["o_type"]
        goods_res <- map["goods_res"]
        io_type_cn <- map["io_type_cn"]
    }
}

class WarehouseIoListDataResModel: Mappable {
    //商品名
    var goods_name:String?
    //规格
    var goods_spec : String?
    //数量
    var number : Int?
    //缩略图
    var goods_thumb : String?
    var sku_id:Int?
    var goods_id:Int?
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        goods_name <- map["goods_name"]
        goods_spec <- map["goods_spec"]
        number <- map["number"]
        goods_thumb <- map["goods_thumb"]
        goods_id <- map["goods_id"]
        sku_id <- map["sku_id"]
    }
}
