//
//  WorkManageModel.swift
//  GeliBusinessPlatform
//
//  Created by 刘俊宏 on 2020/5/29.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//获取统计+权限

class WorkcenterIndexModel: Mappable {
    var code:Int?
    var message : String?
    var data : WorkcenterIndexDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class WorkcenterIndexDataModel: Mappable {
 
    var order_count : Int?  //订单数量
    var paid : Float? //已收款
    var npaid : Float? //待付款
    var qr_code : String? //商家小程序二维码
    var shipping : Int? //未发货订单数
    var confirm : Int?  //待确认订单数
    var apply_in : Int? //入库申请数
    var apply_out : Int?  //出库申请数
    var purchase : Int?  //采购入库

    var auth_res : Array<WorkcenterIndexAuthResModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        order_count <- map["order_count"]
        paid <- map["paid"]
        npaid <- map["npaid"]
        qr_code <- map["qr_code"]
        shipping <- map["shipping"]
        confirm <- map["confirm"]
        apply_in <- map["apply_in"]
        apply_out <- map["apply_out"]
        purchase <- map["purchase"]
        auth_res <- map["auth_res"]
 
    }
    
}
class WorkcenterIndexAuthResModel: Mappable {
 
    var auth_id : Int?   ////权限id
    var auth_name : String?     //权限名
    var is_often : Int? //是否常用功能
    var auth_controller_app : String?
    var auth_action_app : String?
    var ranges : Int?
    var platforms : Int?
    var auth_pid : Int?   ////权限id父
    var app_icon : String? //item缩略图

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        auth_id <- map["auth_id"]
        auth_name <- map["auth_name"]
        is_often <- map["is_often"]
        auth_controller_app <- map["auth_controller_app"]
        auth_action_app <- map["auth_action_app"]
        ranges <- map["ranges"]
        platforms <- map["platforms"]
        auth_pid <- map["auth_pid"]
        app_icon <- map["app_icon"]

    }
    
}
//获取 权限

class WorkcenterAuthsModel: Mappable {
    var code:Int?
    var message : String?
    var data : Array<WorkcenterIndexAuthResModel>?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
//获取统计、店铺二维码、待办事项信息
 
class WorkcenterStatisticsModel: Mappable {
    var code:Int?
    var message : String?
    var data : WorkcenterIndexDataModel?
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

