//
//  accountsPayableInterface.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/16.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import Alamofire
import SwiftyJSON
import ObjectMapper
//MARK:--应付账款列表

/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
 page 页数
 keyword 搜索关键词    
 */
func accountsPayableList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("应付账款列表", params, { (rep:DataResponse<accountsPayableListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
//MARK:--应付账款详情

/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
 page 页数
 keyword 搜索关键词
 */
func accountsPayableDetail(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("应付账款详情", params, { (rep:DataResponse<accountsPayableDetailModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}


//MARK:--应收账款列表

/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
 page 页数
 keyword 搜索关键词
 */
func accountReceivableList(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("应收账款列表", params, { (rep:DataResponse<accountReceivableListModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--应收账款详情

/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
 page 页数
 keyword 搜索关键词
 */
func accountReceivableDetail(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("应收账款详情", params, { (rep:DataResponse<accountReceivableDetailModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--应收账款收款

/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
 page 页数
 keyword 搜索关键词
 */
func confirmReceipt(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("应收账款收款", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}

//MARK:--设为未收

/* 说明：供应商信息在列表中已经全部列出，详情功能拿列表数据即可
 //params-key(
 //user_token(验证token)
cus_log_id 应收账款记录id
 */
func uncollected(_ params:[String:Any],success:@escaping (_ res:Any)->(),failture:@escaping(_ error:Error)->()) {
    NetworkRequest.sharedInstance.postRequest("设为未收", params, { (rep:DataResponse<UpDataModel>) in
    }, success: { (data) in
        success(data)
    }) { (error) in
        failture(error)
    }
}
