//
//  accountsPayableListModel.swift
//  GeliBusinessPlatform
//
//  Created by junye lu on 2020/6/16.
//  Copyright © 2020 junye lu. All rights reserved.
//

import Foundation
import ObjectMapper
//MARK: - 应付账款列表
class accountsPayableListModel: Mappable {
    var code:Int?
    var message : String?
    var data :accountsPayableDataModel?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class accountsPayableDataModel: Mappable {
    var vendor_res:Array<accountsPayableListDataModel>?
    var total_payable_money : Float? //当前欠款金额总计
    

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        vendor_res <- map["vendor_res"]
        total_payable_money <- map["total_payable_money"]
    }
}
class accountsPayableListDataModel: Mappable {
    var ven_id:Int? //供应商id
    var ven_name : String?//供应商名
    var payable_money : String? //欠款金额
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        ven_id <- map["ven_id"]
        ven_name <- map["ven_name"]
        payable_money <- map["payable_money"]
    }
}


//MARK: - 应付账款详情
class accountsPayableDetailModel: Mappable {
    var code:Int?
    var message : String?
    var data :accountsPayableDetailDataModel?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class accountsPayableDetailDataModel: Mappable {
    var list:Array<accountsPayableDetailDataListModel>?
    var payable :String? //当前应付款余额总计
    var already :Float?//已付应付款

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        list <- map["list"]
        payable <- map["payable"]
        already <- map["already"]
    }
}

class accountsPayableDetailDataListModel: Mappable {
    var ven_id_log:Int?
    var ven_id :Int?//供应商id
    var po_id :Int?//采购单id
    
    var money:String?//金额（根据类型应付已付决定）
    var type :Int?//类型：1应付 2已付
    var add_time :Double?  //时间
    
    var payable_money:String? //欠款额
    var status :Int? //支付状态：1应付未付 2应付已付
    var po_no :String?  //采购单号
    var pay_time:Double?//支付时间
    
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        ven_id_log <- map["ven_id_log"]
        ven_id <- map["ven_id"]
        po_id <- map["po_id"]
        
        money <- map["money"]
        type <- map["type"]
        add_time <- map["add_time"]
        
        payable_money <- map["payable_money"]
        status <- map["status"]
        po_no <- map["po_no"]
        pay_time <- map["pay_time"]
    }
}




//MARK: - 应收账款列表
class accountReceivableListModel: Mappable {
    var code:Int?
    var message : String?
    var data :accountReceivableDataModel?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}

class accountReceivableDataModel: Mappable {
    var list:Array<accountReceivableListDataModel>?
    var arrears_money_sum :Float?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        list <- map["list"]
        arrears_money_sum <- map["arrears_money_sum"]
    }
}

class accountReceivableListDataModel: Mappable {
    var cus_id:Int? //客户id
    var cus_name :String?        //客户名

    var arrears_money :String?  //应收账款金额

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        cus_id <- map["cus_id"]
        cus_name <- map["cus_name"]
        arrears_money <- map["arrears_money"]
    }
}

class accountReceivableDetailModel: Mappable {
    var code:Int?
    var message : String?
    var data :accountReceivableDetailDataModel?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        code <- map["code"]
        message <- map["message"]
        data <- map["data"]
    }
}
class accountReceivableDetailDataModel: Mappable {
    var arrears_money:String? //当前应收款余额总计
    var jf : Float? //本期借方余额
    var df :Float?//本期贷方余额
    
    var list:Array<accountReceivableDetailListModel>?

    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        arrears_money <- map["arrears_money"]
        jf <- map["jf"]
        df <- map["df"]
        list <- map["list"]
    }
}
class accountReceivableDetailListModel: Mappable {
    var cus_log_id:Int?//应收账款记录id
    var cus_id : Int?
    var order_id :Int?
    
    var money:String? //交易金额(为贷方金额还是借方金额，由 type 字段确定)
    var type : Int? //类型 1借出 2归还
    var add_time :Double? //时间
    
    var update_time:Double?
    var is_del : Int?
    var arrears_money :String?//已额
    
    var status:Int?  //状态：0 归还记录 1 借出未归还 2借出已归还(说明，状态)
    var pay_status : Int?
    var money_type :Int?
    
    var order_sn:String?  //单号
    var pay_time:Double?
    required init?( map: Map) {
        
    }
    func mapping(map: Map) {
        cus_log_id <- map["cus_log_id"]
        cus_id <- map["cus_id"]
        order_id <- map["order_id"]
        money <- map["money"]
        
        type <- map["type"]
        add_time <- map["add_time"]
        update_time <- map["update_time"]
        is_del <- map["is_del"]
        
        arrears_money <- map["arrears_money"]
        status <- map["status"]
        pay_status <- map["pay_status"]
        money_type <- map["money_type"]
        
        order_sn <- map["order_sn"]
        pay_time <- map["pay_time"]
    }
}
